Bug 455601 - RHSA-2008:0597 - Security Advisory fails
RHSA-2008:0597 - Security Advisory fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.2
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
:
: 455647 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-16 11:14 EDT by Gerrit Slomma
Modified: 2009-02-11 08:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 08:52:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum update firefox console output on rhel-i386-server-5 (2.81 KB, text/plain)
2008-07-17 05:23 EDT, Gerrit Slomma
no flags Details
yum update firefox console output on rhel-x86_64-desktop-5 (4.30 KB, text/plain)
2008-07-17 05:42 EDT, Gerrit Slomma
no flags Details
yum update firefox console output on rhel-x86_64-server-5 (3.05 KB, text/plain)
2008-07-21 05:42 EDT, Gerrit Slomma
no flags Details

  None (edit)
Description Gerrit Slomma 2008-07-16 11:14:22 EDT
Description of problem:

yum update firefox fails with 

"Error: Missing Dependency: gecko-libs = 1.9 is needed by package nspluginwrapper"

Firefox 3.0.1-1 is older than 3.0.2 from RHSA-2008:0569
Tries to pull in xulrunner-1.9.0.1-1 which brings in gecko-libs = 1.9.0.1
nspluginwrapper needs gecko-libs = 1.9

Version-Release number of selected component (if applicable):

3.0.1-1

How reproducible:

yum update firefox
Loading "rhnplugin" plugin
Loading "security" plugin
rhel-x86_64-server-5      100% |=========================| 1.4 kB    00:00
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package firefox.x86_64 0:3.0.1-1.el5 set to be updated
--> Processing Dependency: xulrunner >= 1.9.0.1-1 for package: firefox
---> Package firefox.i386 0:3.0.1-1.el5 set to be updated
--> Running transaction check
--> Processing Dependency: gecko-libs = 1.9 for package: devhelp
--> Processing Dependency: gecko-libs = 1.9 for package: devhelp
--> Processing Dependency: gecko-libs = 1.9 for package: yelp
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
--> Processing Dependency: xulrunner = 1.9-1.el5 for package: xulrunner-devel
--> Processing Dependency: xulrunner = 1.9-1.el5 for package: xulrunner-devel
---> Package xulrunner.x86_64 0:1.9.0.1-1.el5 set to be updated
---> Package xulrunner.i386 0:1.9.0.1-1.el5 set to be updated
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
--> Running transaction check
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
---> Package xulrunner-devel.x86_64 0:1.9.0.1-1.el5 set to be updated
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
---> Package yelp.x86_64 0:2.16.0-20.el5 set to be updated
---> Package devhelp.x86_64 0:0.12-18.el5 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: gecko-libs = 1.9 is needed by package nspluginwrapper

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

firefox, xulrunner, xulrunner-devel, yelp should be updated

Additional info:

Applies to rhel-x86_64-server-5 and rhel-x86_64-desktop-5
(2/1 of each tested, will see if rhel-i386-server-5 applies also)
Comment 1 Gerrit Slomma 2008-07-16 12:57:37 EDT
Sadly but as expected his applies to rhel-i386-server-5 also

yum update
Loading "security" plugin
Loading "rhnplugin" plugin
rhel-i386-server-5        100% |=========================| 1.4 kB    00:00
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no datayum update
Loading "security" plugin
Loading "rhnplugin" plugin
rhel-i386-server-5        100% |=========================| 1.4 kB    00:00
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package firefox.i386 0:3.0.1-1.el5 set to be updated
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
---> Package yelp.i386 0:2.16.0-20.el5 set to be updated
---> Package xulrunner.i386 0:1.9.0.1-1.el5 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: gecko-libs = 1.9 is needed by package nspluginwrapper
--> Running transaction check
---> Package firefox.i386 0:3.0.1-1.el5 set to be updated
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
---> Package yelp.i386 0:2.16.0-20.el5 set to be updated
---> Package xulrunner.i386 0:1.9.0.1-1.el5 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: gecko-libs = 1.9 is needed by package nspluginwrapper
Comment 2 Martin Stransky 2008-07-16 13:23:11 EDT
nspluginwrapper needs to be rebuild because of the latest update...
Comment 3 John W. Lockhart 2008-07-16 14:59:45 EDT
Note that 2008:0596 involved firefox 3.0-2, not 3.0.2; thus, 3.0.1 is indeed newer.

Problem with nspluginwrapper confirmed.
Comment 4 Gerrit Slomma 2008-07-16 15:09:51 EDT
Oh OK.
Repo ist currently down but you are right

yum list firefox
Loading "security" plugin
Loading "rhnplugin" plugin
There was an error communicating with RHN.
RHN channel support will be disabled.
Error communicating with server. The message was:
Service Temporarily Unavailable
Installed Packages
firefox.i386                             3.0-2.el5              installed
firefox.x86_64                           3.0-2.el5              installed
Comment 5 Martin Stransky 2008-07-16 15:38:07 EDT
*** Bug 455647 has been marked as a duplicate of this bug. ***
Comment 6 Gerrit Slomma 2008-07-17 05:23:24 EDT
Created attachment 312019 [details]
yum update firefox console output on rhel-i386-server-5
Comment 7 Gerrit Slomma 2008-07-17 05:26:26 EDT
nspluginwrapper is now rebuilt as version 0:0.9.91.5-22.el5.
yum update firefox works now at least on rhel-i386-server-5.
Will check on rhel-x86_64-desktop-5 and report back.
Comment 8 Gerrit Slomma 2008-07-17 05:40:21 EDT
Fails on rhel-x86_64-client-5 (not desktop-5 as mentioned before, my fault).
yum update firefox does not pull in nspluginwrapper.i386 as dependency although
nspluginwrapper.i386 is currently installed. Therefore yum update firefox fails.
yum update nspluginwrapper is working though.
See attachment "yum update firefox console output on rhel-i386-desktop-5".
Comment 9 Gerrit Slomma 2008-07-17 05:42:05 EDT
Created attachment 312024 [details]
yum update firefox console output on rhel-x86_64-desktop-5
Comment 10 Troy Dawson 2008-07-17 10:47:19 EDT
It now works for both my machines.
32 bit - Red Hat Enterprise Linux Client release 5.2 (Tikanga)
64 bit - Red Hat Enterprise Linux Server release 5.2 (Tikanga)

I did a "yum clean all" before doing the updates, just to make sure everything
was ok.
Comment 11 Johnny Hughes 2008-07-17 10:57:43 EDT
looks like nspluginwrapper-0.9.91.5-22.el5.src.rpm was silently created and
released yesterday to fix this issue
Comment 12 Gerrit Slomma 2008-07-17 13:58:04 EDT
stranksy said so in comment #2.
Still doesn't work here on rhel-x86_64-desktop-5.
Looks like the problem now sits in xulrunner:

yum update xulrunner
Loading "security" plugin
Loading "rhnplugin" plugin
rhn-tools-rhel-x86_64-cli 100% |=========================| 1.2 kB    00:00
rhel-x86_64-client-supple 100% |=========================| 1.4 kB    00:00
rhel-x86_64-client-5      100% |=========================| 1.4 kB    00:00
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package xulrunner.i386 0:1.9.0.1-1.el5 set to be updated
--> Processing Dependency: gecko-libs = 1.9 for package: yelp
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
---> Package xulrunner.x86_64 0:1.9.0.1-1.el5 set to be updated
--> Running transaction check
---> Package nspluginwrapper.x86_64 0:0.9.91.5-22.el5 set to be updated
---> Package yelp.x86_64 0:2.16.0-20.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 xulrunner               x86_64     1.9.0.1-1.el5    rhel-x86_64-client-5   10 M
 xulrunner               i386       1.9.0.1-1.el5    rhel-x86_64-client-5   10 M
Updating for dependencies:
 nspluginwrapper         x86_64     0.9.91.5-22.el5  rhel-x86_64-client-5  114 k
 yelp                    x86_64     2.16.0-20.el5    rhel-x86_64-client-5  583 k

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       4 Package(s)
Remove       0 Package(s)

Total download size: 21 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
Package nspluginwrapper needs gecko-libs = 1.9, this is not available.
Package nspluginwrapper needs gecko-libs = 1.9, this is not available.
Complete!

yum update xulrunner.x86_64
Loading "security" plugin
Loading "rhnplugin" plugin
rhn-tools-rhel-x86_64-cli 100% |=========================| 1.2 kB    00:00
rhel-x86_64-client-supple 100% |=========================| 1.4 kB    00:00
rhel-x86_64-client-5      100% |=========================| 1.4 kB    00:00
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package xulrunner.x86_64 0:1.9.0.1-1.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 xulrunner               x86_64     1.9.0.1-1.el5    rhel-x86_64-client-5   10 M

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       1 Package(s)
Remove       0 Package(s)

Total download size: 10 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/bin/xulrunner from install of xulrunner-1.9.0.1-1.el5 conflicts with
file from package xulrunner-1.9-1.el5

Error Summary
-------------

yum update xulrunner.i386
Loading "security" plugin
Loading "rhnplugin" plugin
rhn-tools-rhel-x86_64-cli 100% |=========================| 1.2 kB    00:00
rhel-x86_64-client-supple 100% |=========================| 1.4 kB    00:00
rhel-x86_64-client-5      100% |=========================| 1.4 kB    00:00
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package xulrunner.i386 0:1.9.0.1-1.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 xulrunner               i386       1.9.0.1-1.el5    rhel-x86_64-client-5   10 M

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       1 Package(s)
Remove       0 Package(s)

Total download size: 10 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/bin/xulrunner from install of xulrunner-1.9.0.1-1.el5 conflicts with
file from package xulrunner-1.9-1.el5

Error Summary
-------------

I have performed yum clean all beforehand,

Comment 13 Gerrit Slomma 2008-07-17 15:36:15 EDT
Is it correct, that yum deplist pluginwrapper.i386 throws different providers
for dependency xulrunner on x86_64 than on i386?

x86_64

(...)
package: nspluginwrapper.i386 0.9.91.5-21.el5
(...)
  dependency: gecko-libs = 1.9
   provider: xulrunner.i386 1.9-0.beta5.6.el5
   provider: xulrunner.x86_64 1.9-0.beta5.6.el5
   provider: xulrunner.i386 1.9-1.el5
   provider: xulrunner.x86_64 1.9-1.el5
(...)
  dependency: gecko-libs >= 1.9
   provider: xulrunner.i386 1.9-0.beta5.6.el5
   provider: xulrunner.x86_64 1.9-0.beta5.6.el5
   provider: xulrunner.i386 1.9-1.el5
   provider: xulrunner.x86_64 1.9-1.el5
   provider: xulrunner.i386 1.9.0.1-1.el5
   provider: xulrunner.x86_64 1.9.0.1-1.el5
(...)

i386

(...)
package: nspluginwrapper.i386 0.9.91.5-21.el5
(...)
  dependency: gecko-libs = 1.9
   provider: xulrunner.i386 1.9-0.beta5.6.el5
   provider: xulrunner.i386 1.9-1.el5
(...)
  dependency: gecko-libs >= 1.9
   provider: xulrunner.i386 1.9-0.beta5.6.el5
   provider: xulrunner.i386 1.9-1.el5
   provider: xulrunner.i386 1.9.0.1-1.el5
(...)
Comment 14 Gerrit Slomma 2008-07-17 19:48:12 EDT
I did
yum update nspluginwrapper.i386
manually, afterwards the update via RHN was successfull whereas before it failed. 
Comment 15 Gerrit Slomma 2008-07-21 05:42:23 EDT
Created attachment 312238 [details]
yum update firefox console output on rhel-x86_64-server-5
Comment 16 Gerrit Slomma 2008-07-21 05:44:29 EDT
yum update firefox doesn't work on rhel-x86_64-server-5 either.
Seems like xulrunner-devel.i386 is missing also as dependency.
Comment 17 Gerrit Slomma 2008-07-30 06:11:20 EDT
Update now works for me out of RHN-Update.

Errata Update: RHSA-2008:0597-9 - Critical: firefox security update Help Icon

    * Details
    * Completed Systems
    * In Progress Systems
    * Failed Systems
    * Remove Packages
    * Update Packages

Completed Systems
	1 - 1 of 1 	
System	Completed	Base Channel
roadrunner-02 	2008-07-30 06:05:40 	Red Hat Enterprise Linux (v. 5 for 64-bit
x86_64) 
Comment 18 Matěj Cepl 2008-09-18 11:11:47 EDT
Reporter, could you please reply to the previous question? Thank you.
Comment 19 Martin Stransky 2009-02-11 08:52:17 EST
Should be fixed already.

Note You need to log in before you can comment on or make changes to this bug.